<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Complaints
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>On Seller</th>
                                        <th>By Customer</th>
                                        <th>Complaint</th>
                                        <th>Created</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($complaints as $complaint) : ?>
                                        <?php $no++; ?>
                                        <?php
                                        $query = $db->query("SELECT * FROM users WHERE id='$complaint->vendor_id'");
                                        $result = $query->getRow();
                                        ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= $complaint->firstname . " " . $complaint->lastname ?></td>
                                            <td><?= $result->store_name ?></td>
                                            <td>
                                                <?php if ($complaint->reason == 1) : ?>
                                                    <span class="badge badge-danger">Fraud</span>
                                                <?php else : ?>
                                                    <span class="badge badge-primary">Other</span>
                                                <?php endif; ?>
                                            </td>
                                            <td><?= date('d M, Y', strtotime(esc($complaint->date_created))) ?></td>
                                            <td>
                                                <a href="<?= site_url('admin/customer_complaint/' . $complaint->report_ref) ?>" data-toggle="tooltip" data-placement="top" title="View" class="btn btn-sm btn-icon btn-info"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>