<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Reviews
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/transactions') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Transactions</a>
                    <a href="<?= site_url('admin/farmers') ?>" class="btn btn-sm btn-success">Sellers</a>
                </div>
            </div>
        </div>

        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>No.</th>
                                        <th>Product Name</th>
                                        <th>Reviewer</th>
                                        <th>Comment</th>
                                        <th>Rating</th>
                                        <th>Date</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($reviews as $review) : ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= substr($review->product_name, 0, 20) . ".."; ?></td>
                                            <td><?= $review->firstname . " " . $review->lastname ?></td>
                                            <td><?= substr($review->review_title, 0, 20) . ".."; ?></td>
                                            <td>
                                                <span class="badge badge-warning">
                                                    <?php if ($review->review_rating == 5) : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i> (5 Star)
                                                    <?php elseif ($review->review_rating == 4) : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i> (4 Star)
                                                    <?php elseif ($review->review_rating == 3) : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i> (3 Star)
                                                    <?php elseif ($review->review_rating == 2) : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i> (2 Star)
                                                    <?php else : ?>
                                                        <i class="fa fa-star" aria-hidden="true"></i> (1 Star)
                                                    <?php endif; ?>
                                                </span>
                                            </td>
                                            <td><?= date('d M, Y', strtotime($review->created_at)) ?></td>
                                            <td>
                                                <a href="<?= site_url('admin/product_reviews/' . $review->reviewed_product) ?>" data-toggle="tooltip" data-placement="top" title="View" class="btn btn-icon btn-success"><i class="icon-eye"></i></a>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>