<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
<?= $page_title ?>
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Highlights</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<!-- Markets Brief -->
<div class="filter-container">
    <div class="container">
        <div class="market-price-slider">
            <div class="slider slider-nav">
                <?php foreach ($product_slide as $product_slide) : ?>
                    <?php
                    $min = $db->table('services');
                    $min->selectAvg('service_price');
                    $min->where(['service_category' => $product_slide->service_category]);
                    $minResult = $min->get()->getRow();
                    ?>
                    <div>
                        <div class="card">
                            <div class="product">
                                <h6><?= $product_slide->service_type_name ?></h6>
                                <p>Aveage Price</p>
                            </div>
                            <div class="product-image">
                                <img src="<?= base_url('public/uploads/template/graph.png') ?>" alt="Product">
                            </div>
                            <div class="price">
                                <h6>Ugx <?= number_format($minResult->service_price, 2) ?></h6>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>

<!-- Price Charts -->
<div class="price-charts market-watch">
    <div class="container">
        <div class="filter-header">
            <h6>Market Performance</h6>
        </div>
        <div class="row">
            <!-- col -->
            <?php if ($district) : ?>
                <div class="col-lg-12">
                    <div id="GoogleLineChart" style="height: 300px; width: 100%"></div>
                    <!-- <div id="chart-temperature" style="height: 300px"></div> -->
                </div>
            <?php else : ?>
                <div class="col-lg-12">
                    <p class="text-center">No Graph Data Available</p>
                </div>
            <?php endif; ?>
            <!-- col -->
            <!-- <div class="col-lg-7">
                <div id="GooglePieChart" style="height: 300px; width: 100%"></div>
            </div> -->
        </div>
    </div>
</div>

<!-- Market price Tables -->
<div class="price-tables market-watch">
    <div class="container">
        <div class="filter-header">
            <h6>Product Average Prices</h6>
        </div>
        <div class="row">
            <!-- col -->
            <div class="col-lg-12">
                <div class="product-table">
                    <div class="table-responsive" id="data_table1_wrapper">
                        <table class="table table-striped table-bordered" id="data_table1">
                            <thead>
                                <th>Service</th>
                                <th>District</th>
                                <th>Average Price (Ugx)</th>
                            </thead>
                            <tbody>
                                <?php foreach ($service_watch as $service_watch) : ?>
                                    <?php
                                    $retailAvg = $db->table('services');
                                    $retailAvg->selectAvg('service_price');
                                    $retailAvg->where(['service_category' => $service_watch->service_type_id]);
                                    $retailAvgResult = $retailAvg->get()->getRow();
                                    ?>
                                    <tr>
                                        <td><?= $service_watch->service_type_name ?></td>
                                        <td>
                                            <?php if (!empty($service_watch->district_name)) : ?>
                                                <?= $service_watch->district_name ?>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if (!empty($retailAvgResult->service_price)) : ?>
                                                <?= number_format($retailAvgResult->service_price, 2) ?>
                                            <?php else : ?>
                                                <?= number_format(0, 2) ?>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    // google.charts.load('visualization', "1", {
    //     packages: ['corechart']
    // });
    google.charts.load('current', {
        'packages': ['corechart', 'bar']
    });
    google.charts.setOnLoadCallback(drawLineChart);
    google.charts.setOnLoadCallback(drawBarChart);
    google.charts.setOnLoadCallback(comboChart);

    // Pie Chart
    google.charts.setOnLoadCallback(showBarChart);

    function drawBarChart() {

    }

    // Line Chart
    <?php if ($district) : ?>

        function drawLineChart() {
            var data = google.visualization.arrayToDataTable([
                ['Market', 'Market Average Price'],
                <?php
                foreach ($district as $row) {
                    echo "['" . $row['day'] . "'," . $row['sell'] . "],";
                }
                ?>
            ]);
            var options = {
                title: 'Line chart product sell wise',
                curveType: 'function',
                legend: {
                    position: 'top'
                }
            };
            var chart = new google.visualization.LineChart(document.getElementById('GoogleLineChart'));
            chart.draw(data, options);
        }
    <?php endif; ?>

    // Combo Chart
    function comboChart() {
        // Some raw data (not necessarily accurate)
        var data = google.visualization.arrayToDataTable([
            ['Market', 'Bolivia', 'Ecuador', 'Madagascar', 'Papua New Guinea', 'Rwanda', 'Average'],
            ['Fruits', 165, 938, 522, 998, 450, 614.6],
            ['Beans', 135, 1120, 599, 1268, 288, 682],
            ['Maize', 157, 1167, 587, 807, 397, 623],
            ['Sorghum', 139, 1110, 615, 968, 215, 609.4],
            ['Wheat', 136, 691, 629, 1026, 366, 569.6]
        ]);

        var options = {
            title: 'Monthly Coffee Production by Country',
            vAxis: {
                title: 'Cups'
            },
            hAxis: {
                title: 'Product'
            },
            seriesType: 'bars',
            //   series: {5: {type: 'line'}}
        };

        var chart = new google.visualization.ComboChart(document.getElementById('combo_div'));
        chart.draw(data, options);
    }
</script>

<?= $this->endSection() ?>