<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Forgot Password
<?= $this->endSection() ?>

<?= $this->section('body'); ?>

<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Forgot Password</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Auth page -->
<div class="auth-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-lg-3"></div>
            <div class="col-lg-6">
                <h5><?= lang('Auth.forgotPassword') ?></h5>
                <div class="card">
                    <?= view('Myth\Auth\Views\_message_block') ?>
                    <p><?= lang('Auth.enterEmailForInstructions') ?></p>
                    <form action="<?= site_url('forgot') ?>" method="post">
                        <?= csrf_field() ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label for="email"><?= lang('Auth.emailAddress') ?></label>
                                    <input type="email" class="form-control <?php if (session('errors.email')) : ?>is-invalid<?php endif ?>" name="email" aria-describedby="emailHelp" placeholder="<?= lang('Auth.email') ?>">
                                    <div class="invalid-feedback">
                                        <?= session('errors.email') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <button type="submit" class="btn btn-info btn-signin d-block"><?= lang('Auth.sendInstructions') ?></button>
                            </div>
                        </div>
                    </form>
                    <hr>
                    <?php if ($config->allowRegistration) : ?>
                        <p><a href="<?= site_url('register') ?>"><?= lang('Auth.needAnAccount') ?></a></p>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-3"></div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>