<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Forum
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb forum">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item"><a href="#">Farmers</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>

<div class="forum-wrapper">
    <div class="home-wrapper">
        <div class="container">
            <div class="row">
                <!-- col -->
                <div class="col-lg-3">
                    <!-- Widget -->
                    <?php include('widgets/groups_widget.php') ?>

                    <!-- Widget -->
                    <?php include('widgets/topics_widget.php') ?>
                </div>

                <!-- col -->
                <div class="col-lg-6">
                    <!-- Widget -->
                    <div class="forum-widget">
                        <div class="card">
                            <div class="card-header">
                                <h6>Recent Discussions</h6>
                            </div>
                            <div class="card-body">
                                <?php if ($topics) : ?>
                                    <?php foreach ($topics as $topic) : ?>
                                        <?php
                                        $builder = $this->db->table('forum_discussions');
                                        $builder->where(['discussion_topic_id' => $topic->topic_id]);
                                        $count = $builder->countAllResults();
                                        ?>
                                        <a href="<?= site_url('forum/discussions/topic/' . $topic->topic_slug) ?>">
                                            <div class="discussions">
                                                <h6><span class="badge badge-primary">Topic:</span>
                                                    <a href="<?= site_url('forum/discussions/topic/' . $topic->topic_slug) ?>"><?= $topic->topic_title ?></a>
                                                </h6>
                                                <?= $topic->topic_description ?> - <b>By: </b><span class="text-success"><b><?= $topic->store_name ?></b></span></p>
                                                <div class="discussion-footer">
                                                    <span><i class="fa fa-comment my-auto" aria-hidden="true"></i> (<?= $count ?>
                                                        Replies)</span>
                                                    <span><i class="fa fa-clock my-auto" aria-hidden="true"></i>
                                                        &nbsp;<?= date('d M, Y', strtotime($topic->topic_created_at)) ?></span>
                                                    <span class="badge badge-warning my-auto">Group:
                                                        <?= $topic->group_name ?></span>
                                                </div>
                                            </div>
                                        </a>
                                    <?php endforeach; ?>
                                <?php else : ?>
                                    <h6 class="text-center px-4 pt-5"><b>No Topics Found</b></h6>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- col -->
                <div class="col-lg-3">
                    <a href="<?= site_url('forum') ?>" class="btn btn-primary d-block"> &nbsp;Forum Home</a>
                    <br>
                    <!-- Widget -->
                    <?php include('widgets/welcome_widget.php') ?>

                    <!-- Widget -->
                    <?php include('widgets/joined_groups_widget.php') ?>

                    <!-- Widget -->
                    <?php include('widgets/statistics_widget.php') ?>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Error -->
<div class="modal fade" id="error" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Error Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">
                <h6 class="text-danger">Please join the Group to view Topic</h6>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>