<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Register
<?= $this->endSection() ?>

<?= $this->section('body'); ?>

<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Login</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Auth page -->
<div class="auth-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-lg-3"></div>
            <div class="col-lg-6">
                <h5>Sign In</h5>
                <div class="card">
                    <?= view('Myth\Auth\Views\_message_block') ?>
                    <form action="<?= site_url('attemptLogin') ?>" method="post">
                        <?= csrf_field() ?>
                        <div class="row">
                            <?php if ($config->validFields === ['phone']) : ?>
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label for="login">Phone</label>
                                        <input type="number" class="form-control <?php if (session('errors.login')) : ?>is-invalid<?php endif ?>" name="login" placeholder="Phone">
                                        <div class="invalid-feedback">
                                            <?= session('errors.login') ?>
                                        </div>
                                    </div>
                                </div>
                            <?php else : ?>
                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label for="login"><?= lang('Auth.emailOrUsername') ?></label>
                                        <input type="text" class="form-control <?php if (session('errors.login')) : ?>is-invalid<?php endif ?>" name="login" placeholder="<?= lang('Auth.emailOrUsername') ?>">
                                        <div class="invalid-feedback">
                                            <?= session('errors.login') ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>

                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label for="password"><?= lang('Auth.password') ?></label>
                                    <input type="password" name="password" class="form-control  <?php if (session('errors.password')) : ?>is-invalid<?php endif ?>" placeholder="<?= lang('Auth.password') ?>">
                                    <div class="invalid-feedback">
                                        <?= session('errors.password') ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <?php if ($config->allowRemembering) : ?>
                                    <div class="form-check mb-3">
                                        <label class="form-check-label">
                                            <input type="checkbox" name="remember" class="form-check-input" <?php if (old('remember')) : ?> checked <?php endif ?>>
                                            <?= lang('Auth.rememberMe') ?>
                                        </label>
                                    </div>
                                <?php endif; ?>
                            </div>
                            <div class="col-12">
                                <button type="submit" class="btn btn-info btn-signin d-block"><?= lang('Auth.loginAction') ?></button>
                            </div>
                        </div>
                    </form>
                    <hr>

                    <?php if ($config->allowRegistration) : ?>
                        <p><a href="<?= route_to('register') ?>"><?= lang('Auth.needAnAccount') ?></a></p>
                    <?php endif; ?>
                    <?php if ($config->activeResetter) : ?>
                        <p><a href="<?= site_url('forgot') ?>"><?= lang('Auth.forgotYourPassword') ?></a></p>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-3"></div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>