<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Service Details
<?= $this->endSection() ?>
<?php $db = \Config\Database::connect(); ?>
<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page"><?= $page_title ?></li>
            </ol>
        </nav>
    </div>
</div>


<!-- Product Details -->
<div class="product-details">
    <div class="container">
        <div class="ma-product">
            <div class="row">
                <div class="col-lg-5 service-image">
                    <div class="image-container">
                        <img src="<?= base_url('public/uploads/services/' . $services->service_image) ?>" alt="Product" class="img-fluid">
                    </div>
                </div>
                <div class="col-lg-7">
                    <div class="ma-product__description service-desc">
                        <div class="ma-maider__tags">
                            <span class="ma-bg-red-orange"><?= $services->service_type_name ?></span>
                        </div>
                        <h5><?= esc($services->service_name) ?></h5>
                        <?= $services->service_desc ?>
                        <div class="ma-product__price">
                            <h3><?= esc(number_format($services->service_price)) ?></h3>
                            <h6>/ <?= $services->service_unit_name ?></h6>
                        </div>
                        <div class="ma-product__stars">
                            <div class="ma-appointment__feature">
                                <div class="ma-featureRating">
                                    <?php $i = 0; ?>
                                    <?php if ($countReview > 0) : ?>
                                        <?php for ($i; $i < 5; $i++) : ?>
                                            <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                        <?php endfor; ?>
                                    <?php else : ?>
                                        <?php for ($i; $i < 5; $i++) : ?>
                                            <span><i class="fa fa-star" aria-hidden="true"></i></span>
                                        <?php endfor; ?>
                                    <?php endif; ?>
                                    <em>(<?= $countReview ?> Feedback)</em>&nbsp;&nbsp; |&nbsp;&nbsp;
                                </div>
                                <div class="ma-appointment__location">
                                    <em>By: <a href="javascript:void(0);"><?= $services->store_name ?></a></em>
                                </div>
                            </div>
                        </div>
                        <div class="ma-product__stock mt-3">
                            <h6>Status: <span class="ma-green">In Stock</span></h6>
                            <div class="ma-product__stock--content">
                                <form action="<?= site_url('place_service_order/' . $services->service_slug) ?>" method="post">
                                    <?= csrf_field() ?>
                                    <input type="text" name="slug" value="<?= $services->service_slug ?>" hidden>
                                    <?php if ($auth->check()) : ?>
                                        <input type="text" name="user_id" value="<?= user()->id ?>" hidden>
                                    <?php endif; ?>
                                    <input type="text" name="vendor_id" value="<?= $services->id ?>" hidden>
                                    <input type="text" name="service_id" value="<?= $services->service_id ?>" hidden>
                                    <input type="text" name="service_unit" value="<?= $services->service_unit ?>" hidden>
                                    <input type="text" name="price" value="<?= $services->service_price ?>" hidden>
                                    <div class="d-flex">
                                        <input type="number" class="form-control my-auto" name="qty" min="1" value="1">
                                        <?php if ($auth->check()) : ?>
                                            <?php if (in_groups('Admin')) : ?>
                                                <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn ma-btn ma-btn-active my-auto">Place Order</button>
                                            <?php elseif (in_groups('Vendor')) : ?>
                                                <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn ma-btn ma-btn-active my-auto">Place Order</button>
                                            <?php else : ?>
                                                <button type="submit" class="btn ma-btn ma-btn-active my-auto">Place Order</button>
                                            <?php endif; ?>
                                        <?php else : ?>
                                            <button type="button" id="loginAlert" class="btn ma-btn ma-btn-active my-auto">Place Order</button>
                                        <?php endif; ?>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="ma-product__safty">
                            <img src="<?= base_url('public/web/images/icons/img-01.png') ?>" alt="Image Description">
                            <div class="ma-product__safty--description">
                                <h6>Safty Instruction:</h6>
                                <p><b>Caution: </b>Please make sure to transact and make exchanges in a safe public place. Use safe methods of payment and delivery to reduce fraud.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="pr-profile">
            <div class="row">
                <div class="col-lg-3">
                    <div class="card">
                        <!-- Profile -->
                        <div class="vendor-profile">
                            <div class="profile-image">
                                <?php if (!empty($services->profile_image)) : ?>
                                    <img src="<?= base_url('public/uploads/users/profiles/' . $services->profile_image) ?>" alt="Profile" class="img-fluid">
                                <?php else : ?>
                                    <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile" class="img-fluid">
                                <?php endif; ?>
                            </div>
                            <p><?= date('d M, Y', strtotime($services->created_at)) ?></p>
                            <h5><?= $services->store_name ?></h5>
                            <a href="<?= site_url('sellers/' . $services->slug) ?>" class="btn btn-outline-warning">View all Services</a>
                        </div>
                    </div>
                    <div class="card request">
                        <h6>Custom Request</h6>
                        <?php if (!$auth->check()) : ?>
                            <p class="text-danger">Please login to send Request</p>
                        <?php endif; ?>
                        <form action="<?= site_url('service_request') ?>" method="post" id="request-form2">
                            <?= csrf_field() ?>
                            <div class="form-group">
                                <input type="text" class="form-control" name="subject" placeholder="Request Subject" value="<?= set_value('subject') ?>" required>
                            </div>
                            <?php if ($auth->check()) : ?>
                                <input type="text" class="form-control" name="vendor_id" value="<?= $services->id ?>" hidden>
                                <input type="text" class="form-control" name="user_id" value="<?= user()->id ?>" hidden>
                            <?php endif; ?>
                            <input type="text" class="form-control" name="service_slug" value="<?= $services->service_slug ?>" hidden>
                            <div class="form-group">
                                <select class="custom-select" name="type" required>
                                    <option value="" selected>Request Type</option>
                                    <option value="1">Product</option>
                                    <option value="2">Service</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" rows="3" name="description" required><?= set_value('description') ?></textarea>
                            </div>
                            <?php if ($auth->check()) : ?>
                                <?php if (in_groups('Admin')) : ?>
                                    <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn btn-primary">Send Request</button>
                                <?php elseif (in_groups('Vendor')) : ?>
                                    <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn btn-primary">Send Request</button>
                                <?php else : ?>
                                    <button type="submit" class="btn btn-primary">Send Request</button>
                                <?php endif; ?>
                            <?php else : ?>
                                <button type="submit" class="btn btn-primary">Send Request</button>
                            <?php endif; ?>
                        </form>
                    </div>
                </div>
                <div class="col-lg-9">
                    <div class="card">
                        <div class="vendor-reviews">
                            <h6>Customer reviews</h6>
                            <hr>
                            <!-- Media -->
                            <?php foreach ($reviews as $review) : ?>
                                <div class="media">
                                    <a class="d-flex" href="#">
                                        <?php if (!empty($review->profile_image)) : ?>
                                            <img src="<?= base_url('public/uploads/users/profiles/' . esc($review->profile_image)) ?>" alt="Profile" class="img-fluid">
                                        <?php else : ?>
                                            <img src="<?= base_url('public/uploads/defaults/user.png') ?>" alt="Profile" class="img-fluid">
                                        <?php endif; ?>
                                    </a>
                                    <div class="media-body">
                                        <div class="rating">
                                            <?php $i = 0; ?>
                                            <?php if ($review->review_rating == 5) : ?>
                                                <?php for ($i; $i < 5; $i++) : ?>
                                                    <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                <?php endfor; ?>
                                            <?php elseif ($review->review_rating == 4) : ?>
                                                <?php for ($i; $i < 4; $i++) : ?>
                                                    <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                <?php endfor; ?>
                                                <span><i class="fa fa-star"></i></span>
                                            <?php elseif ($review->review_rating == 3) : ?>
                                                <?php for ($i; $i < 3; $i++) : ?>
                                                    <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                <?php endfor; ?>
                                                <span><i class="fa fa-star"></i></span>
                                                <span><i class="fa fa-star"></i></span>
                                            <?php elseif ($review->review_rating == 2) : ?>
                                                <?php for ($i; $i < 2; $i++) : ?>
                                                    <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                <?php endfor; ?>
                                                <span><i class="fa fa-star"></i></span>
                                                <span><i class="fa fa-star"></i></span>
                                                <span><i class="fa fa-star"></i></span>
                                            <?php else : ?>
                                                <?php for ($i; $i < 1; $i++) : ?>
                                                    <span><i class="fa fa-star orange" aria-hidden="true"></i></span>
                                                <?php endfor; ?>
                                                <span><i class="fa fa-star"></i></span>
                                                <span><i class="fa fa-star"></i></span>
                                                <span><i class="fa fa-star"></i></span>
                                                <span><i class="fa fa-star"></i></span>
                                            <?php endif; ?>
                                        </div>
                                        <h6><?= $review->review_title ?></h6>
                                        <?php
                                        $db_date = date('d-m-Y', strtotime($review->r_created_at));
                                        $myDate = date("y-m-d h:i:s");
                                        $now_date = date('d-m-Y', strtotime($myDate));
                                        $review_date = date_create($db_date);
                                        $today = date_create($now_date);
                                        $dateDiff = date_diff($review_date, $today);
                                        ?>
                                        <span class="date"><?= $dateDiff->format('%a days') ?> ago</span><br>
                                        <p class="desc"><?= $review->review_desc ?></p>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                        <hr>
                        <div class="review-form">
                            <h6>Write your Review</h6>
                            <?php if (!$auth->check()) : ?>
                                <div class="alert alert-danger" role="alert">
                                    Please login first and write a review
                                </div>
                            <?php endif; ?>
                            <?php if ($auth->check()) : ?>
                                <form action="<?= site_url('review_service/' . $services->service_slug) ?>" method="post" id="review-form">
                                    <?= csrf_field() ?>
                                    <div class="row">
                                        <input type="text" value="<?= $services->service_slug ?>" name="slug" class="form-control" hidden>
                                        <input type="text" name="customer" class="form-control" value="<?= user()->id ?>" hidden>
                                        <input type="text" name="vendor" class="form-control" value="<?= $services->id ?>" hidden>
                                        <input type="text" name="service" class="form-control" value="<?= $services->service_id ?>" hidden>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <input type="text" class="form-control" value="<?= user()->firstname . " " . user()->lastname ?>">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <select class="custom-select" name="rating" required>
                                                    <option value="" selected>Rate</option>
                                                    <option value="1">1 Star</option>
                                                    <option value="2">2 Star</option>
                                                    <option value="3">3 Star</option>
                                                    <option value="4">4 Star</option>
                                                    <option value="5">5 Star</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-12">
                                            <div class="form-group">
                                                <input type="text" name="title" class="form-control" placeholder="Review title" required>
                                            </div>
                                        </div>
                                        <div class="col-lg-12">
                                            <div class="form-group">
                                                <textarea name="description" class="form-control" rows="3" required>Write review</textarea>
                                            </div>
                                        </div>
                                        <div class="col-lg-12">
                                            <?php if ($auth->check()) : ?>
                                                <?php if (in_groups('Admin')) : ?>
                                                    <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn btn-primary">Submit</button>
                                                <?php elseif (in_groups('Vendor')) : ?>
                                                    <button type="button" data-toggle="modal" data-target="#request--warning-form" class="btn btn-primary">Submit</button>
                                                <?php else : ?>
                                                    <button type="submit" class="btn btn-primary">Submit</button>
                                                <?php endif; ?>
                                            <?php else : ?>
                                                <button type="submit" class="btn btn-primary">Submit</button>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </form>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Product Details -->

<!-- Related products -->
<div class="related-products">
    <div class="container">
        <div class="product-container">
            <div class="filter-header d-flex justify-content-between my-auto">
                <h6>Related Services</h6>
            </div>
            <div class="row">
                <!-- Item -->
                <?php foreach ($related_services as $related) : ?>
                    <!-- Item -->
                    <div class="col-lg-3 col-md-4 col-sm-6 col-12">
                        <div class="card service-card">
                            <a href="<?= site_url('services/' . esc($related->service_slug)) ?>">
                                <div class="card-body">
                                    <div class="service-image">
                                        <img src="<?= base_url('public/uploads/services/' . $related->service_image) ?>" alt="Service" class="img-fluid">
                                    </div>
                                    <div class="profile-img"></div>
                                </div>
                            </a>
                            <div class="card-footer">
                                <div class="badges">
                                    <span class="badge verified">Verified</span>
                                    <span class="badge badge-primary price"><?= number_format($related->service_price) ?> / <?= $related->service_unit_name ?></span>
                                </div>
                                <p class="service-type"><?= $related->service_type_name ?></p>
                                <h6><a href="<?= site_url('services/' . esc($related->service_slug)) ?>"><?= $related->service_name ?></a></h6>
                                <?php
                                $builder = $db->table('service_reviews');
                                $builder->where(['reviewed_service' => $related->service_id]);
                                $countS = $builder->countAllResults();
                                ?>
                                <div class="ratings">
                                    <?php
                                    $rating = $db->query("SELECT review_rating FROM service_reviews WHERE reviewed_service='$related->service_id'");
                                    $rate_ = $rating->getRow();
                                    ?>
                                    <?php if ($rate_) : ?>
                                        <?php $i = 0; ?>
                                        <?php if ($rate_->review_rating == 5) : ?>
                                            <?php for ($i; $i < 5; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                        <?php elseif ($rate_->review_rating == 4) : ?>
                                            <?php for ($i; $i < 4; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php elseif ($rate_->review_rating == 3) : ?>
                                            <?php for ($i; $i < 3; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php elseif ($rate_->review_rating == 2) : ?>
                                            <?php for ($i; $i < 2; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php elseif ($rate_->review_rating == 1) : ?>
                                            <?php for ($i; $i < 1; $i++) : ?>
                                                <i class="fa fa-star orange" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                            <i class="fa fa-star" aria-hidden="true"></i>
                                        <?php else : ?>
                                            <?php for ($i; $i < 5; $i++) : ?>
                                                <i class="fa fa-star" aria-hidden="true"></i>
                                            <?php endfor; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <span>(<?= $countS ?> Feedback)</span>
                                </div>
                                <p class="provider">By: <a href="#"><?= $related->store_name ?></a></p>
                                <hr>
                                <p class="address"><?= $related->address ?></p>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="request--warning-form" tabindex="-1" role="dialog" aria-labelledby="modelTitleId" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Warning !!!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="d-flex">
                    <img src="<?= base_url('public/uploads/template/x-button.png') ?>" alt="" width="40" class="img-fluid my-auto" style="margin-right: 20px;">
                    <p class="text-danger my-auto">Your not permitted to perform this action. Please login in with a customer account to enable option!</p>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>