<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Register
<?= $this->endSection() ?>

<?= $this->section('body'); ?>

<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Register</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Auth page -->
<div class="auth-wrapper">
    <div class="container">
        <div class="row">
            <div class="col-lg-3"></div>
            <div class="col-lg-6">
                <h5>Create An Account</h5>
                <div class="card">
                    <?= view('Myth\Auth\Views\_message_block') ?>
                    <form action="<?= site_url('register') ?>" method="post" id="registration-form" novalidate>
                        <?= csrf_field() ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label for="category">Category <small class="text-danger">(Required)</small></label>
                                    <select class="custom-select <?php if (session('errors.category')) : ?>is-invalid<?php endif ?>" name="category" id="userCategory" required>
                                        <option value="" selected>Select Category</option>
                                        <?php foreach ($groups as $group) : ?>
                                            <option value="<?= $group->id ?>"><?= $group->name ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-12" id="store" style="display: none;">
                                <div class="form-group">
                                    <label>Store Name <small class="text-danger">(Required)</small></label>
                                    <input type="text" class="form-control <?php if (session('errors.store')) : ?>is-invalid<?php endif ?>" name="store_name" placeholder="" value="<?= old('store_name') ?>">
                                </div>
                            </div>
                            <div class="col-lg-6" id="firstname">
                                <div class="form-group">
                                    <label>First Name <small class="text-danger">(Required)</small></label>
                                    <input type="text" class="form-control <?php if (session('errors.firstname')) : ?>is-invalid<?php endif ?>" name="firstname" placeholder="" value="<?= old('firstname') ?>">
                                </div>
                            </div>

                            <div class="col-lg-6" id="lastname">
                                <div class="form-group">
                                    <label>Last Name <small class="text-danger">(Required)</small></label>
                                    <input type="text" class="form-control <?php if (session('errors.lastname')) : ?>is-invalid<?php endif ?>" name="lastname" placeholder="" value="<?= old('lastname') ?>">
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="phone">Valid Phone <small class="text-danger">(Required)</small></label>
                                    <input type="text" class="form-control <?php if (session('errors.phone')) : ?>is-invalid<?php endif ?>" name="phone" placeholder="" value="<?= old('phone') ?>">
                                </div>
                            </div>

                            <div class="col-lg-12">
                                <div class="form-group">
                                    <label for="address">Address <small class="text-danger">(Required)</small></label>
                                    <textarea name="address" class="form-control <?php if (session('errors.category')) : ?>is-invalid<?php endif ?>" rows="2"><?= set_value('address') ?></textarea>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="district">District <small class="text-danger">(Required)</small></label>
                                    <select class="custom-select <?php if (session('errors.district')) : ?>is-invalid<?php endif ?>" name="district" id="district">
                                        <option selected>Select District</option>
                                        <?php foreach ($districts as $district) : ?>
                                            <option value="<?= $district->district_id ?>"><?= $district->district_name ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-6" style="display: none;" id="sellerMarket">
                                <div class="form-group">
                                    <label for="district">Market</label>
                                    <select class="custom-select <?php if (session('errors.market')) : ?>is-invalid<?php endif ?>" name="market" id="market">
                                        <option value="" selected>Select Market</option>
                                        <?php foreach ($markets as $market) : ?>
                                            <option value="<?= $market->market_id ?>"><?= $market->market_name ?></option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="password"><?= lang('Auth.password') ?> <small class="text-danger">(Required)</small></label>
                                    <input type="password" name="password" class="form-control <?php if (session('errors.password')) : ?>is-invalid<?php endif ?>" placeholder="<?= lang('Auth.password') ?>" autocomplete="off">
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="form-group">
                                    <label for="pass_confirm"><?= lang('Auth.repeatPassword') ?> <small class="text-danger">(Required)</small></label>
                                    <input type="password" name="pass_confirm" class="form-control <?php if (session('errors.pass_confirm')) : ?>is-invalid<?php endif ?>" placeholder="<?= lang('Auth.repeatPassword') ?>" autocomplete="off">
                                </div>
                            </div>
                            <div class="col-12">
                                <button type="submit" class="btn btn-primary d-block"><?= lang('Auth.register') ?></button>
                            </div>
                        </div>
                        <br>
                        <p><?= lang('Auth.alreadyRegistered') ?> <a href="<?= site_url('login') ?>"><?= lang('Auth.signIn') ?></a></p>
                    </form>
                </div>
            </div>
            <div class="col-lg-3"></div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>