<?= $this->extend('web/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Dashboard
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<!-- Page Breadcrumb -->
<div class="page-breacrumb">
    <div class="container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?= site_url('/') ?>">Home</a></li>
                <li class="breadcrumb-item"><a href="<?= site_url('products') ?>">Marketplace</a></li>
                <li class="breadcrumb-item active" aria-current="page">Requests</li>
            </ol>
        </nav>
    </div>
</div>

<!-- Customer Area -->
<div class="customer-wrapper">
    <div class="dashboard-area">
        <div class="container">
            <div class="row">
                <!-- Col -->
                <div class="col-lg-3 col-md-4">
                    <div class="left-nav">
                        <div class="card">
                            <ul class="nav-list">
                                <li><a href="<?= site_url('user/dashboard') ?>"><i class="fa fa-tachometer-alt"></i>&nbsp; Dashboard</a></li>
                                <li><a href="<?= site_url('user/requests') ?>"><i class="fa fa-comment-alt"></i>&nbsp; Requests</a></li>
                                <li><a href="#"><i class="fa fa-comments"></i>&nbsp; Chats</a></li>
                                <li><a href="<?= site_url('user/order-history') ?>"><i class="fa fa-shopping-bag"></i>&nbsp; Order History</a></li>
                                <li><a href="<?= site_url('user/addresses') ?>"><i class="fa fa-address-book"></i>&nbsp; Address</a></li>
                                <li><a href="<?= site_url('user/settings') ?>"><i class="fa fa-cog"></i>&nbsp; Settings</a></li>
                                <li><a href="<?= site_url('logout') ?>"><i class="fa fa-power-off"></i>&nbsp; Logout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
                <!-- col -->
                <div class="col-lg-9 col-md-8">
                    <div class="right-nav">
                        <div class="customer-info">
                            <h5>Hello, <?= user()->username ?></h5>
                            <p class="db-inform">Product / Service Requests</p>
                            <div class="requests-wrapper">
                                <div class="table-responsive">
                                    <table class="table table-hover table-custom spacing8">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Reference</th>
                                                <th>Vendor</th>
                                                <th class="w100">Request</th>
                                                <th>Type</th>
                                                <th>Status</th>
                                                <th>Date</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $no = 0; ?>
                                            <?php foreach ($requests as $request) : ?>
                                                <?php $no++; ?>
                                                <tr>
                                                    <td><?= $no; ?></td>
                                                    <td><?= esc($request->request_ref); ?></td>
                                                    <td>
                                                        <h6 class="m-0"><span><?= esc($request->firstname) . " " . esc($request->lastname); ?></span></h6>
                                                    </td>
                                                    <td>
                                                        <p class="mb-0"><?= esc($request->request_title) ?></p>
                                                    </td>
                                                    <td>
                                                        <?php if ($request->request_type == 1) : ?>
                                                            <span class="badge badge-primary">Product</span>
                                                        <?php else : ?>
                                                            <span class="badge badge-warning">Service</span>
                                                        <?php endif; ?>
                                                    </td>
                                                    <td>
                                                        <?php if (esc($request->request_status) == 1) : ?>
                                                            <span class="badge badge-success">Accepted</span>
                                                        <?php elseif (esc($request->request_status) == 2) : ?>
                                                            <span class="badge badge-warning">Pending</span>
                                                        <?php elseif (esc($request->request_status) == 0) : ?>
                                                            <span class="badge badge-danger">Cancelled</span>
                                                        <?php else : ?>
                                                            <span class="badge badge-primary">New</span>
                                                        <?php endif; ?>
                                                    </td>
                                                    <td><?= date('d M, Y', strtotime(esc($request->r_created_at))) ?></td>
                                                    <td>
                                                        <a href="<?= site_url('user/request_details/' . esc($request->request_id)) ?>" class="btn btn-icon btn-success btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                                    </td>
                                                </tr>
                                            <?php endforeach; ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- //Customer Area -->

<?= $this->endSection() ?>